import { defineConfig } from 'vite';

export default defineConfig({
  base: '',
  build: {
    target: 'esnext',
    modulePreload: false,
    rollupOptions: {
      external: ['mermaid'],
      output: {
        paths: {
          mermaid: 'https://cdn.jsdelivr.net/npm/mermaid@10/dist/mermaid.esm.min.mjs',
        },
      },
    },
  },
});
